## libgc 6.0+6.1alpha4

=== Makefile ===
# This is the original manually generated Makefile.  It may still be used
# to build the collector.
#
# Primary targets:
# gc.a - builds basic library
# c++ - adds C++ interface to library
# cords - adds cords (heavyweight strings) to library
# test - prints porting information, then builds basic version of gc.a,
#      	 and runs some tests of collector and cords.  Does not add cords or
#	 c++ interface to gc.a
# cord/de - builds dumb editor based on cords.
ABI_FLAG= 
# ABI_FLAG should be the cc flag that specifies the ABI.  On most
# platforms this will be the empty string.  Possible values:
# +DD64 for 64-bit executable on HP/UX.
# -n32, -n64, -o32 for SGI/MIPS ABIs.

AS_ABI_FLAG=$(ABI_FLAG)
# ABI flag for assembler.  On HP/UX this is +A64 for 64 bit
# executables.

CC=cc $(ABI_FLAG)
CXX=g++ $(ABI_FLAG)
AS=as $(AS_ABI_FLAG)
#  The above doesn't work with gas, which doesn't run cpp.
#  Define AS as `gcc -c -x assembler-with-cpp' instead.

# Redefining srcdir allows object code for the nonPCR version of the collector
# to be generated in different directories.
srcdir= .
VPATH= $(srcdir)

CFLAGS= -O -I$(srcdir)/include -DATOMIC_UNCOLLECTABLE -DNO_SIGNALS -DNO_EXECUTE_PERMISSION -DSILENT -DALL_INTERIOR_POINTERS

# To build the parallel collector on Linux, add to the above:
# -DGC_LINUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC
# To build the parallel collector n a static library on HP/UX, add to the above:
# -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -DUSE_HPUX_TLS -D_POSIX_C_SOURCE=199506L

# HOSTCC and HOSTCFLAGS are used to build executables that will be run as
# part of the build process, i.e. on the build machine.  These will usually
# be the same as CC and CFLAGS, except in a cross-compilation environment.
# Note that HOSTCFLAGS should include any -D flags that affect thread support.
HOSTCC=$(CC)
HOSTCFLAGS=$(CFLAGS)

# For dynamic library builds, it may be necessary to add flags to generate
# PIC code, e.g. -fPIC on Linux.

# Setjmp_test may yield overly optimistic results when compiled
# without optimization.

# These define arguments influence the collector configuration:
# -DSILENT disables statistics printing, and improves performance.
# -DFIND_LEAK causes GC_find_leak to be initially set.
#   This causes the collector to assume that all inaccessible
#   objects should have been explicitly deallocated, and reports exceptions.
#   Finalization and the test program are not usable in this mode.
# -DGC_SOLARIS_THREADS enables support for Solaris (thr_) threads.
#   (Clients should also define GC_SOLARIS_THREADS and then include
#   gc.h before performing thr_ or dl* or GC_ operations.)
#   Must also define -D_REENTRANT.
# -DGC_SOLARIS_PTHREADS enables support for Solaris pthreads.
#   (Internally this define GC_SOLARIS_THREADS as well.)
# -DGC_IRIX_THREADS enables support for Irix pthreads.  See README.irix.
# -DGC_HPUX_THREADS enables support for HP/UX 11 pthreads.
#   Also requires -D_REENTRANT or -D_POSIX_C_SOURCE=199506L. See README.hp.
# -DGC_LINUX_THREADS enables support for Xavier Leroy's Linux threads.
#   see README.linux.  -D_REENTRANT may also be required.
# -DGC_OSF1_THREADS enables support for Tru64 pthreads.  Untested.
# -DGC_FREEBSD_THREADS enables support for FreeBSD pthreads.  Untested.
#   Appeared to run into some underlying thread problems.
# -DGC_DGUX386_THREADS enables support for DB/UX on I386 threads.
#   See README.DGUX386.
# -DALL_INTERIOR_POINTERS allows all pointers to the interior
#   of objects to be recognized.  (See gc_priv.h for consequences.)
#   Alternatively, GC_all_interior_pointers can be set at process
#   initialization time.
# -DSMALL_CONFIG tries to tune the collector for small heap sizes,
#   usually causing it to use less space in such situations.
#   Incremental collection no longer works in this case.
# -DLARGE_CONFIG tunes the collector for unusually large heaps.
#   Necessary for heaps larger than about 500 MB on most machines.
#   Recommended for heaps larger than about 64 MB.
# -DDONT_ADD_BYTE_AT_END is meaningful only with -DALL_INTERIOR_POINTERS or
#   GC_all_interior_pointers = 1.  Normally -DALL_INTERIOR_POINTERS
#   causes all objects to be padded so that pointers just past the end of
#   an object can be recognized.  This can be expensive.  (The padding
#   is normally more than one byte due to alignment constraints.)
#   -DDONT_ADD_BYTE_AT_END disables the padding.
# -DNO_SIGNALS does not disable signals during critical parts of
#   the GC process.  This is no less correct than many malloc 
#   implementations, and it sometimes has a significant performance
#   impact.  However, it is dangerous for many not-quite-ANSI C
#   programs that call things like printf in asynchronous signal handlers.
#   This is on by default.  Turning it off has not been extensively tested with
#   compilers that reorder stores.  It should have been.
# -DNO_EXECUTE_PERMISSION may cause some or all of the heap to not
#   have execute permission, i.e. it may be impossible to execute
#   code from the heap.  Currently this only affects the incremental
#   collector on UNIX machines.  It may greatly improve its performance,
#   since this may avoid some expensive cache synchronization.
# -DGC_NO_OPERATOR_NEW_ARRAY declares that the C++ compiler does not support
#   the  new syntax "operator new[]" for allocating and deleting arrays.
#   See gc_cpp.h for details.  No effect on the C part of the collector.
#   This is defined implicitly in a few environments.  Must also be defined
#   by clients that use gc_cpp.h.
# -DREDIRECT_MALLOC=X causes malloc, realloc, and free to be
#   defined as aliases for X, GC_realloc, and GC_free, respectively.
#   Calloc and strdup are redefined in terms of the new malloc.  X should
#   be either GC_malloc or GC_malloc_uncollectable, or
#   GC_debug_malloc_replacement.  (The latter invokes GC_debug_malloc
#   with dummy source location information, but still results in
#   properly remembered call stacks on Linux/X86 and Solaris/SPARC.)
#   The former is occasionally useful for working around leaks in code
#   you don't want to (or can't) look at.  It may not work for
#   existing code, but it often does.  Neither works on all platforms,
#   since some ports use malloc or calloc to obtain system memory.
#   (Probably works for UNIX, and win32.)  If you build with DBG_HDRS_ALL,
#   you should only use GC_debug_malloc_replacement as a malloc
#   replacement.
# -DREDIRECT_REALLOC=X causes GC_realloc to be redirected to X.
#   The canonical use is -DREDIRECT_REALLOC=GC_debug_realloc_replacement,
#   together with -DREDIRECT_MALLOC=GC_debug_malloc_replacement to
#   generate leak reports with call stacks for both malloc and realloc.
# -DIGNORE_FREE turns calls to free into a noop.  Only useful with
#   -DREDIRECT_MALLOC.
# -DNO_DEBUGGING removes GC_dump and the debugging routines it calls.
#   Reduces code size slightly at the expense of debuggability.
# -DJAVA_FINALIZATION makes it somewhat safer to finalize objects out of
#   order by specifying a nonstandard finalization mark procedure  (see
#   finalize.c).  Objects reachable from finalizable objects will be marked
#   in a sepearte postpass, and hence their memory won't be reclaimed.
#   Not recommended unless you are implementing a language that specifies
#   these semantics.  Since 5.0, determines only only the initial value
#   of GC_java_finalization variable.
# -DFINALIZE_ON_DEMAND causes finalizers to be run only in response
#   to explicit GC_invoke_finalizers() calls.
#   In 5.0 this became runtime adjustable, and this only determines the
#   initial value of GC_finalize_on_demand.
# -DATOMIC_UNCOLLECTABLE includes code for GC_malloc_atomic_uncollectable.
#   This is useful if either the vendor malloc implementation is poor,
#   or if REDIRECT_MALLOC is used.
# -DHBLKSIZE=ddd, where ddd is a power of 2 between 512 and 16384, explicitly
#   sets the heap block size.  Each heap block is devoted to a single size and
#   kind of object.  For the incremental collector it makes sense to match
#   the most likely page size.  Otherwise large values result in more
#   fragmentation, but generally better performance for large heaps.
# -DUSE_MMAP use MMAP instead of sbrk to get new memory.
#   Works for Solaris and Irix.
# -DUSE_MUNMAP causes memory to be returned to the OS under the right
#   circumstances.  This currently disables VM-based incremental collection.
#   This is currently experimental, and works only under some Unix,
#   Linux and Windows versions.
# -DMMAP_STACKS (for Solaris threads) Use mmap from /dev/zero rather than
#   GC_scratch_alloc() to get stack memory.
# -DPRINT_BLACK_LIST Whenever a black list entry is added, i.e. whenever
#   the garbage collector detects a value that looks almost, but not quite,
#   like a pointer, print both the address containing the value, and the
#   value of the near-bogus-pointer.  Can be used to identifiy regions of
#   memory that are likely to contribute misidentified pointers.
# -DKEEP_BACK_PTRS Add code to save back pointers in debugging headers
#   for objects allocated with the debugging allocator.  If all objects
#   through GC_MALLOC with GC_DEBUG defined, this allows the client
#   to determine how particular or randomly chosen objects are reachable
#   for debugging/profiling purposes.  The gc_backptr.h interface is
#   implemented only if this is defined.
# -DGC_ASSERTIONS Enable some internal GC assertion checking.  Currently
#   this facility is only used in a few places.  It is intended primarily
#   for debugging of the garbage collector itself, but could also
# -DDBG_HDRS_ALL Make sure that all objects have debug headers.  Increases
#   the reliability (from 99.9999% to 100%) of some of the debugging
#   code (especially KEEP_BACK_PTRS).  Makes -DSHORT_DBG_HDRS possible.
#   Assumes that all client allocation is done through debugging
#   allocators.
# -DSHORT_DBG_HDRS Assume that all objects have debug headers.  Shorten
#   the headers to minimize object size, at the expense of checking for
#   writes past the end of an object.  This is intended for environments
#   in which most client code is written in a "safe" language, such as
#   Scheme or Java.  Assumes that all client allocation is done using
#   the GC_debug_ functions, or through the macros that expand to these,
#   or by redirecting malloc to GC_debug_malloc_replacement.
#   (Also eliminates the field for the requested object size.)
#   occasionally be useful for debugging of client code.  Slows down the
#   collector somewhat, but not drastically.
# -DSAVE_CALL_COUNT=<n> Set the number of call frames saved with objects
#   allocated through the debugging interface.  Affects the amount of
#   information generated in leak reports.  Only matters on platforms
#   on which we can quickly generate call stacks, currently Linux/(X86 & SPARC)
#   and Solaris/SPARC and platforms that provide execinfo.h.
#   Default is zero.  On X86, client
#   code should NOT be compiled with -fomit-frame-pointer.
# -DSAVE_CALL_NARGS=<n> Set the number of functions arguments to be
#   saved with each call frame.  Default is zero.  Ignored if we
#   don't know how to retrieve arguments on the platform.
# -DCHECKSUMS reports on erroneously clear dirty bits, and unexpectedly
#   altered stubborn objects, at substantial performance cost.
#   Use only for debugging of the incremental collector.
# -DGC_GCJ_SUPPORT includes support for gcj (and possibly other systems
#   that include a pointer to a type descriptor in each allocated object).
#   Building this way requires an ANSI C compiler.
# -DUSE_I686_PREFETCH causes the collector to issue Pentium III style
#   prefetch instructions.  No effect except on X86 Linux platforms.
#   Assumes a very recent gcc-compatible compiler and assembler.
#   (Gas prefetcht0 support was added around May 1999.)
#   Empirically the code appears to still run correctly on Pentium II

## libgc 6.2+6.3alpha4

=== Makefile ===
--- 
+++ 
@@ -34,8 +34,11 @@
 
 # To build the parallel collector on Linux, add to the above:
 # -DGC_LINUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC
-# To build the parallel collector n a static library on HP/UX, add to the above:
+# To build the parallel collector in a static library on HP/UX,
+# add to the above:
 # -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -DUSE_HPUX_TLS -D_POSIX_C_SOURCE=199506L
+# To build the thread-safe collector on Tru64, add to the above:
+# -pthread -DGC_OSF1_THREADS
 
 # HOSTCC and HOSTCFLAGS are used to build executables that will be run as
 # part of the build process, i.e. on the build machine.  These will usually
@@ -70,8 +73,13 @@
 # -DGC_OSF1_THREADS enables support for Tru64 pthreads.  Untested.
 # -DGC_FREEBSD_THREADS enables support for FreeBSD pthreads.  Untested.
 #   Appeared to run into some underlying thread problems.
+# -DGC_DARWIN_THREADS enables support for Mac OS X pthreads.  Untested.
 # -DGC_DGUX386_THREADS enables support for DB/UX on I386 threads.
 #   See README.DGUX386.
+# -DGC_WIN32_THREADS enables support for win32 threads.  That makes sense
+#   for this Makefile only under Cygwin.
+# -DGC_THREADS should set the appropriate one of the above macros.
+#   It assumes pthreads for Solaris.
 # -DALL_INTERIOR_POINTERS allows all pointers to the interior
 #   of objects to be recognized.  (See gc_priv.h for consequences.)
 #   Alternatively, GC_all_interior_pointers can be set at process
@@ -105,13 +113,15 @@
 #   See gc_cpp.h for details.  No effect on the C part of the collector.
 #   This is defined implicitly in a few environments.  Must also be defined
 #   by clients that use gc_cpp.h.
-# -DREDIRECT_MALLOC=X causes malloc, realloc, and free to be
-#   defined as aliases for X, GC_realloc, and GC_free, respectively.
+# -DREDIRECT_MALLOC=X causes malloc to be defined as alias for X.
+#   Unless the following macros are defined, realloc is also redirected
+#   to GC_realloc, and free is redirected to GC_free.
 #   Calloc and strdup are redefined in terms of the new malloc.  X should
 #   be either GC_malloc or GC_malloc_uncollectable, or
 #   GC_debug_malloc_replacement.  (The latter invokes GC_debug_malloc
 #   with dummy source location information, but still results in
-#   properly remembered call stacks on Linux/X86 and Solaris/SPARC.)
+#   properly remembered call stacks on Linux/X86 and Solaris/SPARC.
+#   It requires that the following two macros also be used.)
 #   The former is occasionally useful for working around leaks in code
 #   you don't want to (or can't) look at.  It may not work for
 #   existing code, but it often does.  Neither works on all platforms,
@@ -123,6 +133,9 @@
 #   The canonical use is -DREDIRECT_REALLOC=GC_debug_realloc_replacement,
 #   together with -DREDIRECT_MALLOC=GC_debug_malloc_replacement to
 #   generate leak reports with call stacks for both malloc and realloc.
+#   This also requires the following:
+# -DREDIRECT_FREE=X causes free to be redirected to X.  The
+#   canonical use is -DREDIRECT_FREE=GC_debug_free.
 # -DIGNORE_FREE turns calls to free into a noop.  Only useful with
 #   -DREDIRECT_MALLOC.
 # -DNO_DEBUGGING removes GC_dump and the debugging routines it calls.
@@ -194,13 +207,3 @@
 #   saved with each call frame.  Default is zero.  Ignored if we
 #   don't know how to retrieve arguments on the platform.
 # -DCHECKSUMS reports on erroneously clear dirty bits, and unexpectedly
-#   altered stubborn objects, at substantial performance cost.
-#   Use only for debugging of the incremental collector.
-# -DGC_GCJ_SUPPORT includes support for gcj (and possibly other systems
-#   that include a pointer to a type descriptor in each allocated object).
-#   Building this way requires an ANSI C compiler.
-# -DUSE_I686_PREFETCH causes the collector to issue Pentium III style
-#   prefetch instructions.  No effect except on X86 Linux platforms.
-#   Assumes a very recent gcc-compatible compiler and assembler.
-#   (Gas prefetcht0 support was added around May 1999.)
-#   Empirically the code appears to still run correctly on Pentium II

## libgc 6.4

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # -DGC_LINUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC
 # To build the parallel collector in a static library on HP/UX,
 # add to the above:
-# -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -DUSE_HPUX_TLS -D_POSIX_C_SOURCE=199506L
+# -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -D_POSIX_C_SOURCE=199506L
 # To build the thread-safe collector on Tru64, add to the above:
 # -pthread -DGC_OSF1_THREADS
 
@@ -182,7 +182,7 @@
 #   this facility is only used in a few places.  It is intended primarily
 #   for debugging of the garbage collector itself, but could also
 # -DDBG_HDRS_ALL Make sure that all objects have debug headers.  Increases
-#   the reliability (from 99.9999% to 100%) of some of the debugging
+#   the reliability (from 99.9999% to 100% mod. bugs) of some of the debugging
 #   code (especially KEEP_BACK_PTRS).  Makes -DSHORT_DBG_HDRS possible.
 #   Assumes that all client allocation is done through debugging
 #   allocators.

## libgc 6.6

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # -DGC_LINUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC
 # To build the parallel collector in a static library on HP/UX,
 # add to the above:
-# -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -D_POSIX_C_SOURCE=199506L
+# -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -D_POSIX_C_SOURCE=199506L -mt
 # To build the thread-safe collector on Tru64, add to the above:
 # -pthread -DGC_OSF1_THREADS
 
@@ -70,10 +70,11 @@
 #   Also requires -D_REENTRANT or -D_POSIX_C_SOURCE=199506L. See README.hp.
 # -DGC_LINUX_THREADS enables support for Xavier Leroy's Linux threads.
 #   see README.linux.  -D_REENTRANT may also be required.
-# -DGC_OSF1_THREADS enables support for Tru64 pthreads.  Untested.
-# -DGC_FREEBSD_THREADS enables support for FreeBSD pthreads.  Untested.
+# -DGC_OSF1_THREADS enables support for Tru64 pthreads.
+# -DGC_FREEBSD_THREADS enables support for FreeBSD pthreads.
 #   Appeared to run into some underlying thread problems.
-# -DGC_DARWIN_THREADS enables support for Mac OS X pthreads.  Untested.
+# -DGC_DARWIN_THREADS enables support for Mac OS X pthreads.
+# -DGC_AIX_THREADS enables support for IBM AIX threads.
 # -DGC_DGUX386_THREADS enables support for DB/UX on I386 threads.
 #   See README.DGUX386.
 # -DGC_WIN32_THREADS enables support for win32 threads.  That makes sense
@@ -206,4 +207,3 @@
 # -DSAVE_CALL_NARGS=<n> Set the number of functions arguments to be
 #   saved with each call frame.  Default is zero.  Ignored if we
 #   don't know how to retrieve arguments on the platform.
-# -DCHECKSUMS reports on erroneously clear dirty bits, and unexpectedly

## libgc 6.6-2osso2

=== debian/changelog ===
libgc (1:6.6-2osso2) unstable; urgency=low

  * Fixes: NB#77507 - a namespace issue with gcc4

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 04 Sep 2008 12:05:17 +0300

libgc (1:6.6-2osso) unstable; urgency=low

  * checks dropped (scratchbox issue)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 31 Mar 2006 18:00:17 +0300

libgc (1:6.6-2) unstable; urgency=low

  * Apply libgc-6.6-arm-swp-fix.diff to fix arm build (closes: #343612)

 -- Ryan Murray <rmurray@debian.org>  Fri, 16 Dec 2005 10:53:15 -0800

libgc (1:6.6-1) unstable; urgency=low

  * New upstream release (closes: #335816, #342586)
  * Run make check from debian/rules
  * Disable threads for hurd-i386 (closes: #319912)

 -- Ryan Murray <rmurray@debian.org>  Thu, 15 Dec 2005 00:53:36 -0800

libgc (1:6.5-1) unstable; urgency=low

  * New upstream release
  * Rename libgc1 to libgc1c2 for C++ transition.
  * Update libgc-dev description (closes: #264124)
  * Add debian/watch file (currently ignores alpha versions)
  * Remove obsolete Replaces and Conflicts on libgc-dev

 -- Ryan Murray <rmurray@debian.org>  Sun, 10 Jul 2005 10:51:20 -0700

libgc (1:6.4-1) unstable; urgency=low

  * New upstream release (closes: #292708)

 -- Ryan Murray <rmurray@debian.org>  Thu,  3 Feb 2005 00:50:53 -0800

libgc (1:6.3-1) unstable; urgency=low

  * New upstream release (closes: #253171)

 -- Ryan Murray <rmurray@debian.org>  Fri,  9 Jul 2004 08:38:53 -0700

libgc (1:6.2+6.3alpha4-1) unstable; urgency=low

  * New upstream release
  * Apply fix to check stack end for prelinked binaries (closes: #233233)

 -- Ryan Murray <rmurray@debian.org>  Sat, 28 Feb 2004 01:09:04 -0800

libgc (1:6.2+6.3alpha2-1) unstable; urgency=low

  * New upstream release
  * Link libgccpp against libgc (closes: #215966)

 -- Ryan Murray <rmurray@debian.org>  Sat, 18 Oct 2003 03:34:33 -0700

libgc (1:6.2+6.3alpha1-1) unstable; urgency=low

  * New upstream release (closes: #197031)
  * Switch to using upstream's autoconf (and therefore upstream's sonames, so
    rename packages to match the sonames)  (closes: #178869)
  * Relibtoolize.

 -- Ryan Murray <rmurray@debian.org>  Mon, 11 Aug 2003 15:57:57 -0700

libgc (1:6.1-2) unstable; urgency=low

  * Change GLIBC_MINOR check for mips to look for version 2.2 or better.
    glibc has had __libc_stack_end since at least then, and possibly sometime
    in 2.1.x

 -- Ryan Murray <rmurray@debian.org>  Fri, 17 Jan 2003 14:17:22 -0800

libgc (1:6.1-1) unstable; urgency=low

  * New upstream release
  * g++-3.2 transition

 -- Ryan Murray <rmurray@debian.org>  Fri, 17 Jan 2003 04:41:04 -0800

libgc (1:6.0+6.1alpha4-3) unstable; urgency=low

  * Fix ia64 build.

 -- Ryan Murray <rmurray@debian.org>  Mon, 25 Mar 2002 20:27:15 -0800

libgc (1:6.0+6.1alpha4-2) unstable; urgency=low

  * Add -lstdc++ to link line for now

 -- Ryan Murray <rmurray@debian.org>  Tue, 19 Mar 2002 01:08:01 -0800

libgc (1:6.0+6.1alpha4-1) unstable; urgency=low

  * New upstream release (closes: #96661)
  * build with OPERATOR_NEW_ARRY (closes: #127608)
  * link libgc with g++ for now
  * remove duplicate manpage (closes: #137511)

 -- Ryan Murray <rmurray@debian.org>  Mon, 18 Mar 2002 22:13:32 -0800

libgc (1:6.0-3) unstable; urgency=low

  * Fix builds on mips, mipsel, and powerpc
  * Disable threading on arm until someone has time to fix it.

 -- Ryan Murray <rmurray@debian.org>  Fri, 25 Jan 2002 08:36:00 -0800

libgc (1:6.0-2) unstable; urgency=low

  * New Maintainer (closes: #129586)
  * Enable threading on Linux, disable on hurd
    (closes: #129525, #110157)
  * Add patch already in upstream alphas to fix leak_detector for calloc and
    realloc.  The strdup support will come when I upgrade to a 6.1 version
    (closes: #118455)
  * Add upstream changelog, fix typo in manpage (closes: #115374)

 -- Ryan Murray <rmurray@debian.org>  Sat, 19 Jan 2002 02:31:58 -0800

libgc (1:6.0-1) unstable; urgency=medium (closes several serious and important bugs)

  * Adopted NMU fixes by Rick Younie and Ryan Murray
    (closes: #84608, #87184, #89970, #102652, #103078)
  * New upstream release, updates support for SPARC (closes: #89211)

 -- Mike Goldman <whig@debian.org>  Sun, 19 Aug 2001 07:30:19 -0400

libgc (1:5.3-2.2) unstable; urgency=low

  * NMU
  * Fix build on m68k (closes: #89970, 103078)

 -- Rick Younie <younie@debian.org>  Wed,  1 Aug 2001 12:12:33 -0700

libgc (1:5.3-2.1) unstable; urgency=low

  * Fix build on mips(el) (closes: #102652, 84608)
  * Fix build on alpha (closes: #87184)

 -- Ryan Murray <rmurray@debian.org>  Mon,  2 Jul 2001 08:32:17 -0700

libgc (1:5.3-2) unstable; urgency=low

  * Fixed dependency on libgc5 to same version (closes: #87339).

 -- Mike Goldman <whig@debian.org>  Sat, 24 Feb 2001 12:22:07 -0500

libgc (1:5.3-1) unstable; urgency=medium

  * Updated to latest version of released upstream 5.x version
    (closes: #83041, #65044),
  * Tuned for larger heap sizes (-DLARGE_CONFIG) (closes: #62400).

 -- Mike Goldman <whig@debian.org>  Thu, 22 Feb 2001 12:34:45 -0500

libgc (1:5.0.alpha4-8) frozen unstable; urgency=medium

  * Applied patch by Philip Blundell <Philip.Blundell@pobox.com>
    to provide Linux ARM support (closes: #58950)

 -- Mike Goldman <whig@debian.org>  Fri, 25 Feb 2000 03:38:48 -0500

libgc (1:5.0.alpha4-7) frozen unstable; urgency=low

  * Include "../gcconfig.h" in cordprnt.c for correct PPC compilation
    (patch supplied by susumu-o@debian.or.jp) -- Closes: #57360
  * Uploaded to frozen and unstable (closes: #57147, #57293)

 -- Mike Goldman <whig@by.net>  Tue,  8 Feb 2000 15:58:24 -0500

libgc (1:5.0.alpha4-6) frozen; urgency=low

  * Replaced C++-style comments from gc_priv.h with C comments --
    required for standards-conforming C programs (closes: #55577)
  * debian/rules now copies include/private files automatically

 -- Mike Goldman <whig@by.net>  Fri,  4 Feb 2000 03:56:44 -0500

libgc (1:5.0.alpha4-5) unstable; urgency=low

  * Fixed misapplied patch from Daniel Jacobowitz.



=== debian/control ===
Source: libgc
Maintainer: Ryan Murray <rmurray@debian.org>
Section: libs
Priority: standard
Build-Depends: debhelper, dpatch
Standards-Version: 3.8.0

Package: libgc1c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libgc1
Replaces: libgc1
Description: conservative garbage collector for C and C++
 Boehm's GC is a garbage collecting storage allocator that is
 intended to be used as a plug-in replacement for C's malloc.

Package: libgc-dev
Architecture: any
Priority: optional
Section: libdevel
Depends: libgc1c2 (= ${source:Version}), libc-dev
Description: conservative garbage collector for C (development)
 Boehm's GC is a garbage collecting storage allocator that is
 intended to be used as a plug-in replacement for C's malloc.
 This package is required to compile and link programs that use
 libgc1.
 .
 Since the collector does not require pointers to be tagged, it does
 not attempt to ensure that all inaccessible storage is reclaimed.
 However it has typically been more successful at reclaiming unused
 memory than most C programs using explicit deallocation.  Unlike
 manually introduced leaks, the amount of unreclaimed memory typically
 stays bounded.
 .
 This version of the collector is thread safe, has C++ support, and uses the
 defaullts for everything else.  Particularly, it does not work as a malloc()
 replacement.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

include /usr/share/dpatch/dpatch.make

DEB_BUILD_ARCH:=$(shell dpkg --print-installation-architecture)

ifeq ($(DEB_BUILD_ARCH),hurd-i386)
	CONFIG_OPTS:=--disable-threads
else
	CONFIG_OPTS:=
endif

export DH_COMPAT=4

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: patch build-stamp
build-stamp:
	dh_testdir
	
	# First build the shared library
	./configure $(CONFIG_OPTS) --enable-cplusplus --disable-dependency-tracking\
		--with-tags=CXX --prefix=/usr --mandir=\$${prefix}/share/man\
		--sysconfdir=/etc --localstatedir=/var/lib\
		--datadir=\$${prefix}/share/doc
	$(MAKE)
	touch build-stamp

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	#$(MAKE) check
	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_installdocs
	dh_installchangelogs doc/README.changes
	dh_install --sourcedir=debian/tmp
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc([\d.]+)\.tar\.gz debian uupdate

## libgc 7.1

=== debian/changelog ===
libgc (1:7.1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * libgc-dev.preinst: handle symlink replaced by a directory on upgrade from
    Squeeze (Closes: #696073)

 -- David Prévot <taffit@debian.org>  Wed, 26 Dec 2012 19:49:03 -0400

libgc (1:7.1-9) unstable; urgency=medium

  * Import patches to fix CVE-2012-2673 from upstream git (Closes: #677195)

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jul 2012 18:27:48 +0200

libgc (1:7.1-8) unstable; urgency=low

  * Import patch by Thorsten Glaser
    * d/p/06-m68k-no-getcontext.diff: new, don’t use getcontext(2)
      on m68k because it’s not implemented there (Closes: #624833)
  * Import patch by Aaron M. Ucko
    * build with GC_THREADS on non-linux platforms as well
  * remove *.la files (Closes: #621660)
  * update policy version from 3.9.1 to 3.9.2, no changes

 -- Christoph Egger <christoph@debian.org>  Sun, 29 May 2011 18:55:21 +0200

libgc (1:7.1-7) unstable; urgency=low

  * Add ppc64 symbol file (Closes: #615469)
  * Add sh4 symbol file (Closes: #614744)
  * Add armhf symbol file
  * Add powerpcspe symbol file
  * Handle sparc64 the same as sparc
  * Clear non-arch symbol file to support building on not yet captured
    architectures
  * add -pthread to fix build with --no-add-needed

 -- Christoph Egger <christoph@debian.org>  Wed, 02 Mar 2011 13:43:18 +0100

libgc (1:7.1-6) unstable; urgency=low

  * include pkg-config file (Closes: #546833)
  * Include Hurd symbol file (Closes: #611643) thanks to Svante Signell
    for providing it
  * add hppa symbol file

 -- Christoph Egger <christoph@debian.org>  Tue, 22 Feb 2011 17:17:54 +0100

libgc (1:7.1-5) unstable; urgency=low

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sat, 19 Feb 2011 12:19:56 +0100

libgc (1:7.1-4) experimental; urgency=low

  * Adopt package (Closes: #590772)
    * Adopt debian/control git headers (moved to collab-maint)
    * Convert to source format 3.0 (quilt)
  * Build against system libatomic-ops (Closes: #559345)
    * Now builds on mipsen as well (Closes: #542285)
    * Include correct arch-specific symbols file for mipsen
    * Remove atomic-ops specific symbols from symbols file
    * Drop patch for automic-ops on s390
  * Fix dependency on debhelper (needs 7.0.50 > 7)
  * Bump standards version to 3.9.1
  * Fix symbol files (Closes: #565778)

 -- Christoph Egger <christoph@debian.org>  Sat, 09 Oct 2010 16:08:53 +0200

libgc (1:7.1-3) experimental; urgency=low

  * Add symbols for armel and i386.

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Aug 2009 20:28:41 +0100

libgc (1:7.1-2) experimental; urgency=low

  * Fix FTBFS on sparc by specifying correct machine-dependent code.
  * Fix FTBFS on s390 by correcting #include directory.
  * Add avr32 support. Patch by Bradley Smith <brad@brad-smith.co.uk>.
    (Closes: #528406)
  * Symbols maintenance:
    - Add Build-Depends-Package
    - Add required arch-dependent symbols for sparc, powerpc, s390 and avr32
  * Add Vcs-{Git,Browser} headers.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Aug 2009 00:15:45 +0100

libgc (1:7.1-1) experimental; urgency=low

  * New maintainer. (Closes: #541015)
  * New upstream release. (Closes: #434106, #446068)
  * Fix debian/watch file. Thanks Jonny <jonny@csc.jp> and Ruben Molina
    <rmolina@udea.edu.co>. (Closes: #535985)
  * debian/patches/*
    - Extract changes from .diff.gz into quilt patch series
    - Update architecture patches for new upstream; partly applied upstream
  * Move to debhelper 7.
  * Add symbols file for libgc1c2.
  * debian/control:
    - Bump Standards-Version to 3.8.2.
    - Add Homepage: field.
    - Add ${misc:Depends} for all binary packages.
    - Use ${binary:Version} in libgc-dev => libgcX versioned dependency.
    - Drop duplicate "Section:" heading in libgc1c2.
    - Update long description, clarifying ambiguity caused by Debian's choice
      of configuration. (Closes: #329338)
  * Remove some cruft from debian/rules.
  * Install README.environment via dh_installdocs, not dh_install.
  * Don't install README.cords if we aren't shipping that library
    (Closes: #422440)

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Aug 2009 02:16:30 +0100

libgc (1:6.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch support for GNU/kFreeBSD amd64. (closes: #405669)

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Aug 2008 21:21:44 +0200

libgc (1:6.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable local malloc on all linux arches. (closes: #431424)

 -- Bastian Blank <waldi@debian.org>  Wed, 18 Jul 2007 20:27:44 +0000

libgc (1:6.8-1) unstable; urgency=low

  * New upstream release (closes: #366864)
  * Apply patch to fix m68k (closes: #383817)

 -- Ryan Murray <rmurray@debian.org>  Fri, 22 Sep 2006 20:08:09 -0700

libgc (1:6.7-2) unstable; urgency=low

  * Disable --enable-redirect-malloc again (closes: #371886)

 -- Ryan Murray <rmurray@debian.org>  Tue, 13 Jun 2006 17:28:27 -0700

libgc (1:6.7-1) unstable; urgency=low

  * New upstream release (closes: #356246)
  * Fix typo in description (closes: #341086)

 -- Ryan Murray <rmurray@debian.org>  Sun, 28 May 2006 20:19:58 -0700

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH:=$(shell dpkg --print-architecture)

LDFLAGS += -pthread

%:
	dh $@

override_dh_auto_configure:
	[ ! -d libatomic_ops-1.2 ] || mv libatomic_ops-1.2 libatomic_ops-1.2.bak
	autoconf
	./configure \
		$(CONFIG_OPTS) \
		--enable-cplusplus \
		--disable-dependency-tracking \
		--with-tags=CXX \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--localstatedir=/var/lib \
		--datadir=\$${prefix}/share/doc \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE)

override_dh_install:
	install -D doc/gc.man debian/tmp/usr/share/man/man3/gc_malloc.3
	dh_install

override_dh_auto_clean:
	[ -d libatomic_ops-1.2 ] || [ ! -d libatomic_ops-1.2.bak ] || mv libatomic_ops-1.2.bak libatomic_ops-1.2
	dh_auto_clean
	rm -rf autom4te.cache libatomic_ops atomic_ops_sysdeps.S atomic_ops.c

override_dh_installchangelogs:
	dh_installchangelogs doc/README.changes

## libgc 7.2d

=== debian/changelog ===
libgc (1:7.2d-0ubuntu5) raring; urgency=low

  * Call libtoolize before aclocal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:52:44 +0100

libgc (1:7.2d-0ubuntu4) raring; urgency=low

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:18:29 +0100

libgc (1:7.2d-0ubuntu2) raring; urgency=low

  * Call dh-autoreconf ./autogen.sh.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 12:28:41 +0100

libgc (1:7.2d-0ubuntu1) raring; urgency=low

  * New upstream version.
  * Install header files and libraries in multiarch locations (Christian
    M. Amsüss). Closes: #687493.
  * Build using dh-autoreconf.
  * Rename libgc1c2 to libgc1c3; missing symbols.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 10:39:11 +0100

=== debian/control ===
Source: libgc
Maintainer: Christoph Egger <christoph@debian.org>
Section: libs
Priority: standard
Build-Depends: debhelper (>= 9), autoconf, libatomic-ops-dev (>= 7.2~), dh-autoreconf, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.hpl.hp.com/personal/Hans_Boehm/gc/
Vcs-Git: git://git.debian.org/git/collab-maint/libgc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libgc.git;a=summary

Package: libgc1c3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libgc1
Replaces: libgc1
Multi-Arch: same
Description: conservative garbage collector for C and C++
 Boehm-Demers-Weiser's GC is a garbage collecting storage allocator that is
 intended to be used as a plug-in replacement for C's malloc or C++'s new().
 .
 It allows you to allocate memory basically as you normally would without
 explicitly deallocating memory that is no longer useful. The collector
 automatically recycles memory when it determines that it can no longer be
 used.
 .
 This version of the collector is thread safe, has C++ support and uses the
 defaults for everything else. However, it does not work as a drop-in malloc(3)
 replacement.

Package: libgc-dev
Architecture: any
Priority: optional
Section: libdevel
Depends: ${misc:Depends}, libgc1c3 (= ${binary:Version}), libc-dev
Multi-Arch: same
Description: conservative garbage collector for C (development)
 Boehm-Demers-Weiser's GC is a garbage collecting storage allocator that is
 intended to be used as a plug-in replacement for C's malloc or C++'s new().
 .
 It allows you to allocate memory basically as you normally would without
 explicitly deallocating memory that is no longer useful. The collector
 automatically recycles memory when it determines that it can no longer be
 used.
 .
 This version of the collector is thread safe, has C++ support and uses the
 defaults for everything else. However, it does not work as a drop-in malloc(3)
 replacement.
 .
 This package is required to compile and link programs that use libgc1c2.

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,21 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH:=$(shell dpkg --print-architecture)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 LDFLAGS += -pthread
 
 %:
-	dh $@
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	[ ! -d libatomic_ops-1.2 ] || mv libatomic_ops-1.2 libatomic_ops-1.2.bak
-	autoconf
 	./configure \
 		$(CONFIG_OPTS) \
+		--disable-silent-rules \
 		--enable-cplusplus \
 		--disable-dependency-tracking \
 		--with-tags=CXX \
@@ -23,7 +27,11 @@
 		--localstatedir=/var/lib \
 		--datadir=\$${prefix}/share/doc \
 		--host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE)
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
+override_dh_auto_test:
+	$(MAKE) check
 
 override_dh_install:
 	install -D doc/gc.man debian/tmp/usr/share/man/man3/gc_malloc.3

## libgc 7.4.2

=== debian/changelog ===
libgc (1:7.4.2-7.3) unstable; urgency=medium

  * Non-maintainer upload
  * Import symbols for sparc (Closes: #806312)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 26 Nov 2015 18:16:48 +0100

libgc (1:7.4.2-7.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add debian/patches/fix-location-of-assembly-files.diff to fix
    location of assembly files for sparc* and ia64 (Closes: 805679)
  * Import symbols for sparc64 (Closes: #805680)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 22 Nov 2015 14:36:00 +0100

libgc (1:7.4.2-7.1) unstable; urgency=medium

  * Non-maintainer upload
  * Import symbols for sh4 (Closes: #805075)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 20 Nov 2015 11:16:44 +0100

libgc (1:7.4.2-7) unstable; urgency=medium

  * Import symbols from mips64el hppa and x32 (Closes: #800905)
  * Re-Add support for nocheck, thanks to Helmut for the patch, (Closes:
    #800906)

 -- Christoph Egger <christoph@debian.org>  Mon, 05 Oct 2015 17:02:32 +0200

libgc (1:7.4.2-6) unstable; urgency=medium

  * Remove unused patches

 -- Christoph Egger <christoph@debian.org>  Fri, 02 Oct 2015 09:02:27 +0200

libgc (1:7.4.2-5) experimental; urgency=medium

  * Disable parallel mark on ppc64el
  * Import symbols for arm64 mips and ppc64el

 -- Christoph Egger <christoph@debian.org>  Thu, 01 Oct 2015 15:59:46 +0200

libgc (1:7.4.2-4) experimental; urgency=medium

  * Drop 03-add-avr32-support.diff, merged upstream
  * Drop 04-fix-sparc-ftbfs.diff, merged upstream
  * add enable-parallel-mark-where-supported.diff to keep PARALLEL_MARK
    enabled on all platforms where it works

 -- Christoph Egger <christoph@debian.org>  Thu, 24 Sep 2015 17:00:00 +0200

libgc (1:7.4.2-3) experimental; urgency=medium

  * Update Homepage (Closes: #747904)
  * Remove 01-catch-all-linux.patch as it at least breaks arm64
  * Import hppa mipsel hurd-i386 and ppc64 symbols

 -- Christoph Egger <christoph@debian.org>  Thu, 24 Sep 2015 13:35:55 +0200

libgc (1:7.4.2-2) experimental; urgency=medium

  * update standards version
  * Update symbols files
  * add Debian GCC Maintainers as uploades (as discussed with Matthias
  * use canonical VCS urls
  * Switch to dh-autoreconf

 -- Christoph Egger <christoph@debian.org>  Fri, 21 Aug 2015 13:42:23 +0200

libgc (1:7.4.2-1) experimental; urgency=medium

  * New upstream version (Closes: #796242)
    * Fixes sparc64 build (Closes: #578337)

 -- Christoph Egger <christoph@debian.org>  Fri, 21 Aug 2015 11:41:48 +0200

libgc (1:7.4.0-1) experimental; urgency=medium

  * New upstream version
  * Drops another batch of internal symbols

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 13:30:28 +0100

libgc (1:7.2d-6) unstable; urgency=medium

  * Run full autoreconf during build
     (Closes: #732349)

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 12:29:01 +0100

libgc (1:7.2d-5) unstable; urgency=low

  * Add Replaces: libgc1c3 for Ubuntu
  * Import symbol diffs from debian-ports

 -- Christoph Egger <christoph@debian.org>  Wed, 03 Jul 2013 22:14:42 +0200

libgc (1:7.2d-4) unstable; urgency=low

  * Import refined symbols for arm and mips

 -- Christoph Egger <christoph@debian.org>  Tue, 02 Jul 2013 17:35:01 +0200

libgc (1:7.2d-3) unstable; urgency=low

  * Upload to unstable 
    * 7.2 misses some private symbols which are now properly hidden by
      libgc and were unused by other software in debian
  * Generate Symbols file by pkg-kde helper scripts

 -- Christoph Egger <christoph@debian.org>  Mon, 01 Jul 2013 22:48:07 +0200

libgc (1:7.2d-2) experimental; urgency=low

  * Improve symbols file using pkg-kde-tools

 -- Christoph Egger <christoph@debian.org>  Sun, 09 Jun 2013 16:33:34 +0200

libgc (1:7.2d-1) experimental; urgency=low

  * New upstream release (Closes: #673965)
  * Add build-dependency for pkg-config to allow detection of libatomic_ops
  * Import patch Christian M. Amsüss to enable multiarch (Closes: #687493)

 -- Christoph Egger <christoph@debian.org>  Sun, 09 Jun 2013 13:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: libgc
 Maintainer: Christoph Egger <christoph@debian.org>
+Uploaders: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Section: libs
 Priority: standard
-Build-Depends: debhelper (>= 9), autoconf, libatomic-ops-dev (>= 7.2~), dh-autoreconf, pkg-config
-Standards-Version: 3.9.2
-Homepage: http://www.hpl.hp.com/personal/Hans_Boehm/gc/
-Vcs-Git: git://git.debian.org/git/collab-maint/libgc.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libgc.git;a=summary
+Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
+ libatomic-ops-dev (>= 7.3~),
+ pkg-config,
+ pkg-kde-tools
+Standards-Version: 3.9.6
+Homepage: http://www.hboehm.info/gc/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libgc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgc.git
 
-Package: libgc1c3
+Package: libgc1c2
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libgc1
-Replaces: libgc1
+Replaces: libgc1, libgc1c3
 Multi-Arch: same
 Description: conservative garbage collector for C and C++
  Boehm-Demers-Weiser's GC is a garbage collecting storage allocator that is
@@ -32,7 +37,7 @@
 Architecture: any
 Priority: optional
 Section: libdevel
-Depends: ${misc:Depends}, libgc1c3 (= ${binary:Version}), libc-dev
+Depends: ${misc:Depends}, libgc1c2 (= ${binary:Version}), libc-dev
 Multi-Arch: same
 Description: conservative garbage collector for C (development)
  Boehm-Demers-Weiser's GC is a garbage collecting storage allocator that is

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,12 @@
 LDFLAGS += -pthread
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
+	dh $@ --with pkgkde_symbolshelper,autoreconf
 
 override_dh_auto_configure:
 	[ ! -d libatomic_ops-1.2 ] || mv libatomic_ops-1.2 libatomic_ops-1.2.bak
 	./configure \
 		$(CONFIG_OPTS) \
-		--disable-silent-rules \
 		--enable-cplusplus \
 		--disable-dependency-tracking \
 		--with-tags=CXX \
@@ -30,12 +26,15 @@
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	$(MAKE) check
+endif
 
 override_dh_install:
 	install -D doc/gc.man debian/tmp/usr/share/man/man3/gc_malloc.3
 	dh_install
+	rm debian/libgc-dev/usr/share/doc/libgc1c2/README.environment
 
 override_dh_auto_clean:
 	[ -d libatomic_ops-1.2 ] || [ ! -d libatomic_ops-1.2.bak ] || mv libatomic_ops-1.2.bak libatomic_ops-1.2
@@ -43,4 +42,4 @@
 	rm -rf autom4te.cache libatomic_ops atomic_ops_sysdeps.S atomic_ops.c
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/README.changes
+	dh_installchangelogs ChangeLog
